## haversine 2.9.0

=== Makefile ===
.DEFAULT_GOAL := help

## clean: Clean directory for build
clean:
	rm -rf dist/*

.PHONY: build
## build: Build package
build:
	pipenv run python setup.py sdist bdist_wheel

## deploy: Deploy haversine to pypi
deploy: clean build
	pipenv install twine
	pipenv run twine upload dist/* --verbose
	pipenv uninstall twine
	git checkout -- Pipfile.lock


.PHONY: help
## help: Prints this help text.
help:
	@echo ''
	@echo '  Usage:'
	@echo '    make <target>'
	@echo ''
	@echo '  Targets:'
	@sed -n 's/^## \?/    /p' $(MAKEFILE_LIST)

## haversine 2.8.1

=== debian/changelog ===
haversine (2.8.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 12:18:43 +0900

haversine (2.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076698)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 06:19:18 +0900

=== debian/control ===
Source: haversine
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-numpy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/mapado/haversine
Vcs-Browser: https://salsa.debian.org/python-team/packages/haversine
Vcs-Git: https://salsa.debian.org/python-team/packages/haversine.git

Package: python3-haversine
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Geographic distance calculation library for Python
 The Haversine library provides functions to calculate the distance between two
 points on Earth from their latitude and longitude. Suitable for various
 applications in geospatial analyses, navigation, and travel optimization, the
 library supports distance calculations in multiple units such as kilometres,
 meters, miles, nautical miles, feet, and inches, as well as in radians and
 degrees for angular distances.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-numpy, python3-pytest, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/haversine-$1\.tar\.gz/ \
  https://github.com/mapado/haversine/tags .*/v?(\d\S+)\.tar\.gz

## haversine 2.9.0

=== debian/changelog ===
haversine (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * Add more pytest.approx calls (closes: #1103116).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 18:08:28 +0100

haversine (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Dec 2024 11:51:26 +0000

haversine (2.8.1-4) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Aug 2024 09:30:16 +0200

haversine (2.8.1-3) unstable; urgency=medium

  * Ran wrap-and-sort -bastk.
  * Added myself as uploader.
  * Restrict autopkgtests to known working arch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Aug 2024 09:57:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=haversine
export PYBUILD_TEST_ARGS=tests -k "not test_inverse_haversine"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf haversine.egg-info/

=== debian/watch ===
version=4
https://github.com/mapado/haversine/tags .*/v?(\d\S+)\.tar\.gz
